Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.math.model
Class ControlTrigger

    java.lang.Object
      ru.biosoft.math.model.SimpleNode
          ru.biosoft.math.model.ControlTrigger

All Implemented Interfaces:
  Node

public class ControlTrigger
extends SimpleNode

Field Summary
`protected java.lang.String` | `event` Event name.
`static java.lang.String` | `ON_EVENT`
`protected java.lang.String` | `type` Control type.
`static java.lang.String` | `TYPE_AFTER`
`static java.lang.String` | `TYPE_WHEN`

Fields inherited from class ru.biosoft.math.model.SimpleNode
`children, id, parent`

Constructor Summary
`ControlTrigger(int id)`

Method Summary
`java.lang.String` | `getEvent()`
`java.lang.String` | `getType()`
`void` | `setEvent(java.lang.String event)`
`void` | `setType(java.lang.String type)`
`java.lang.String` | `toString()`

Methods inherited from class ru.biosoft.math.model.SimpleNode
`dump, dump, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtReplaceChild, jjtSetParent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_WHEN

    public static final java.lang.String TYPE_WHEN

See Also:
  Constant Field Values

### TYPE_AFTER

    public static final java.lang.String TYPE_AFTER

See Also:
  Constant Field Values

### ON_EVENT

    public static final java.lang.String ON_EVENT

See Also:
  Constant Field Values

### type

    protected java.lang.String type

  Control type.

### event

    protected java.lang.String event

  Event name.

Constructor Detail

### ControlTrigger

    public ControlTrigger(int id)

Method Detail

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String type)

### getEvent

    public java.lang.String getEvent()

### setEvent

    public void setEvent(java.lang.String event)

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.